libqmi-glib1 - Support library to use the Qualcomm MSM Interface (QMI) protocol

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libqmi-glib1
Package version: 1.10.2
Package release: 2
Package architecture: amd64
Package type: deb
Installed size: 1.84 KB
Download size: 329.96 KB
Official Mirror:
Libraries for adding QMI support to applications that use glib.



    Source package: libqmi

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libqmi-glib1 deb package:
      # sudo apt-get install libqmi-glib1


    • /usr/lib/x86_64-linux-gnu/
    • /usr/lib/x86_64-linux-gnu/
    • /usr/share/doc/libqmi-glib1/changelog.Debian.gz
    • /usr/share/doc/libqmi-glib1/changelog.gz
    • /usr/share/doc/libqmi-glib1/copyright
    • /usr/share/lintian/overrides/libqmi-glib1


    2014-09-16 - Michael Biebl <> libqmi (1.10.2-2) unstable; urgency=medium * Team upload. [ Marius B. Kotsbak ] * Use dh_install --list-missing to show uninstalled files. * Drop obsolete --with-tests configure option. [ Michael Biebl ] * Install man pages via dh_install. * Use a strictly versioned dependency between libqmi-proxy and libqmi-glib1, so the two packages don't get out of sync. * Make any package linking against libqmi-glib1 get an explicit dependency on libqmi-proxy. The qmi-proxy binary is used internally by libqmi-glib1 and the package split is an implementation detail to properly support multi-arch. Convince lintian that this is intentional. * Add Depends on libglib2.0-dev to libqmi-glib-dev as required by qmi-glib.pc.

    2014-07-29 - Marius B. Kotsbak <> libqmi (1.10.2-1) unstable; urgency=low [ Marius B. Kotsbak ] * New upstream stable version 1.10.2 - Fixed default internal proxy timeout for requests. - Added initial support for the WDA service. - Added support for cell location info retrieval. - Added support for UIM card status retrieval. - Added support to specify net open flags in the command line. - Minor bugfixes

    2014-07-17 - Marius B. Kotsbak <> libqmi (1.8.0-2) unstable; urgency=low [ Marius B. Kotsbak ] * Change libqmi to only recommend libqmi-proxy package. It is possible to use the library without it (Closes: #754599).

    2014-06-21 - Marius B. Kotsbak <> libqmi (1.8.0-1) unstable; urgency=low [ Marius Kotsbak ] * New upstream stable release 1.8.0 (Closes: #731002, #731907) - Support for sharing the QMI port through multiple processes with the new 'qmi-proxy' infrastructure. - api: added new known service ID enumeration values - wds: added "Get Profile List" request/response - wds: added "Get Profile Settings" request/response - wds: added "Get Default Settings" request/response - cli: add --wds-get-profile-list - cli: add --wds-get-default-settings - dms: 'SID' TLV in "Activate Manual" is a guint8, not a string - Extended API with macros to check for the libqmi-glib version in use - Setup libtool versioning in libqmi-glib - Added initial support for the PBM (phonebook) service - Added initial support for the UIM service - Added initial support for the OMA (Open Mobile Alliance) service - nas: added "Get Tx Rx Info" request/response - wds: added "Get Packet Statistics" request/response - dms: added support for the 'PRL' TLV in "Activate Manual" - cli: add --nas-get-tx-rx-info - cli: add --wds-get-packet-statistics - cli: add --get-service-version-info - cli: add --uim-read-transparent - cli: add --uim-get-file-attributes - cli: fix following network status until disconnected - tests: use gtester to run unit tests - Also fixed several minor bugs and memory leaks * Replaced "help2man" in Debian package with the same from upstream